## org.eclipse.datatools.connectivity.oda.design
Interface CompositeFilterExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterExpression, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AndExpression, OrExpression

    public interface CompositeFilterExpression

extends FilterExpression

A representation of the model object 'Composite Filter Expression'. A composite of one or multiple child filter expressions. Its child expressions are ordered, but their relationships are not defined.

The following features are supported:

- `Children`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getCompositeFilterExpression()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`void` `add(FilterExpression childExpr)` Appends the specified FilterExpression to its 'Children' containment reference list.
`org.eclipse.emf.common.util.EList<FilterExpression>` `getChildren()` Returns the value of the 'Children' containment reference list.

Methods inherited from interface org.eclipse.datatools.connectivity.oda.design.FilterExpression
`isNegatable, isSetNegatable, setNegatable, unsetNegatable`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getChildren

    org.eclipse.emf.common.util.EList<FilterExpression> getChildren()

  Returns the value of the 'Children' containment reference list. The list contents are of type `FilterExpression`.

  If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `DesignPackage.getCompositeFilterExpression_Children()`

### add

    void add(FilterExpression childExpr)

  Appends the specified FilterExpression to its 'Children' containment reference list.

  Parameters:
    `childExpr` - a child filter expression